config/routes.rb
Rails.application.routes.draw do
  
  devise_for :users, controllers: { registrations: "registrations" }
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

 unauthenticated do
  as :user do
    root :to => 'pages#home'
  end
 end
 
  authenticated do
      root :to => 'products#index'
  end

  root 'pages#home'
  get 'dashboard' => 'pages#dashboard'

  get 'contact' => 'pages#contact'

  get 'shopify/auth' => 'shopifys#auth'
  get 'shopify/install' => 'shopifys#install'


  resources :products
  resources :categories
  resources :charges

  get 'affiliate/home', to: 'affiliates#home'

  get 'unsubscribe', to: 'charges#endsubscription'

  get 'subscribe', to: 'charges#new'
  get 'profile', to: 'pages#profile'

  resources :users, except: [:new]
  resources :influencers 
  resources :audiences
  resources :faqs
  resources :engagements

  get 'pricing', to: 'pages#pricing'
  get 'login', to: 'sessions#new'
  post 'login', to: 'sessions#create'
  delete 'logout', to: 'sessions#destroy'

  get 'admin', to: 'pages#admin'
end

app/views/shared/_error_messages.html.erb
<% if object.errors.any? %>
  <div id="error_explanation">
    <div class="alert alert-danger alert-dismissable">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <p><strong>There were <%= pluralize(object.errors.count, 'error') %>.</strong></p>
      <ul>
        <% object.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  </div>
<% end %>

app/views/shared/_joinnow.html.erb
    <section class="join-now">
       <%=  link_to(signup_path) do %> <button class="btn btn-join hvr-grow shadowed">Start Your Free 7-Day Trial Now!</button><%end%>
    </section>

app/views/shared/_notify.html.erb
    <% if !notice.blank? %>
     <script>
        $(document).ready(function () {
          $('.top-right').notify({
            message: { text: "<%= notice %>" }
          }).show();
        });
      </script>
    <% end  %>
   
    <% if !alert.blank? %>
     <script>
        $(document).ready(function () {
          $('.top-right').notify({
            message: { text: "<%= alert %>" },
            type: 'danger'
          }).show();
        });
      </script>
    <% end  %>

app/views/shared/_productview.html.erb
  <div class="container productindex">
    <section class="product-navigation header top-margin">
          <h1 class="animated"><%= @title %></h1>
    </section>
    <hr>
    <section class="product-categories">
    <div class="row">
     <div class="col-md-12">
        <div class="btn-group">
            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <% if @category != nil then %>
                                <%= @category.name %>
                <% else %>All Products<% end %> <span class="caret"></span>
            </button>
            <ul class="dropdown-menu">
                    <li><%= link_to(products_path) do %>
                            All Products
                        <% end %>
                        </li>
                    <li role="separator" class="divider"></li>
                    <% @categories.each do |category| %>
                    <li> <%= link_to(category_path(category)) do %><%= category.name %><% end %> </li>
                    <% end %>
            </ul>


         <% if !current_user.subscribed? %>
           <%= link_to(subscribe_path, style: "padding: 0px; margin-left: 10px;") do %><button class="btn btn-hero"><i class="fa fa-rocket"></i> Upgrade Now</button><% end %>
        <% end %>
        </div>

   
     
      </div>
    </div>
    </section>
    <hr>
    <div align="center">
    <%= will_paginate @products, renderer: BootstrapPagination::Rails %>
    </div>
  <div class="row">
    <% @products.each do |product| %>
            <% if product.active? || current_user.admin? %>
                    <div class="col-md-3 col-xs-12 col-sm-6">
                        
                            <div class="content product-card hvr-grow shadowed">
                                <%= link_to(product) do %>
                                    <div class="heroscore-tag">
                                        <%= product.heroscore >= 10.0 ? 10 : product.heroscore  %>
                                    </div>
                                    <% if product.created_at < Time.now and product.created_at > (Time.now-2.days) %>
                                        <div class="new-tag">
                                            New
                                        </div>
                                    <% end %>
                                    <div class="image">
                                        <img src="<%= product.img %>" class="img-responsive">
                                    </div>
                                    <div class="profit" style="">
                                        <h5 class="small-info">Profit</h5>
                                        <% @profit = (product.sellprice - product.storeprice) %>
                                        <%= number_to_currency(@profit) %>
                                    </div>
                                    <div class="engagement-view">
                                        <div class="title">
                                            <h4><%= product.title %></h4>
                                        </div>
                                        <div>
                                            <h4><i class="fa fa-thumbs-o-up" aria-hidden="true"></i> <%= product.likes %> | <i class="fa fa-commenting" aria-hidden="true"></i> <%= product.comments %></br> <i class="fa fa-share-alt-square" aria-hidden="true"> </i> <%= product.shares %></h4>
                                        </div>
                                    </div>
                                <% end %>
                            </div>
                    
                    </div>
            <% end %>
        <% end %> 
    </div>

</div>
<div align="center">
    <%= will_paginate @products, renderer: BootstrapPagination::Rails  %>
</div>